'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

/**
 * Matcher.
 *
 * @type {RegExp}
 */

var MATCHER = /^[a-z_][a-z_0-9]*$/i;

/**
 * Check if a string `value` is a valid identifier.
 *
 * @param {String} value
 * @return {Boolean}
 */

function isIdentifier(value) {
  return typeof value === 'string' && MATCHER.test(value);
}

/**
 * Export.
 *
 * @type {Function}
 */

exports.default = isIdentifier;