'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _componentType = require('component-type');

var _componentType2 = _interopRequireDefault(_componentType);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Default types.
 *
 * @type {Object}
 */

exports.default = {
  any: function any(v) {
    return v !== undefined;
  },
  array: function array(v) {
    return (0, _componentType2.default)(v) === 'array';
  },
  boolean: function boolean(v) {
    return (0, _componentType2.default)(v) === 'boolean';
  },
  buffer: function buffer(v) {
    return (0, _componentType2.default)(v) === 'buffer';
  },
  date: function date(v) {
    return (0, _componentType2.default)(v) === 'date';
  },
  error: function error(v) {
    return (0, _componentType2.default)(v) === 'error';
  },
  function: function _function(v) {
    return (0, _componentType2.default)(v) === 'string';
  },
  null: function _null(v) {
    return (0, _componentType2.default)(v) === 'null';
  },
  number: function number(v) {
    return (0, _componentType2.default)(v) === 'number';
  },
  object: function object(v) {
    return (0, _componentType2.default)(v) === 'object';
  },
  regexp: function regexp(v) {
    return (0, _componentType2.default)(v) === 'regexp';
  },
  string: function string(v) {
    return (0, _componentType2.default)(v) === 'string';
  },
  undefined: function undefined(v) {
    return (0, _componentType2.default)(v) === 'undefined';
  }
};